using System;
using System.ComponentModel;
using System.ComponentModel.Design;
using System.Collections;
using System.Drawing;
using System.Workflow.ComponentModel;
using System.Workflow.ComponentModel.Design;
using System.Workflow.ComponentModel.Compiler;
using System.Workflow.ComponentModel.Serialization;
using System.Workflow.Runtime;
using System.Workflow.Activities;
using System.Workflow.Activities.Rules;

namespace de.WWWings.Workflow
{
 public partial class StatusAusgabe : SequenceActivity
 {
  public StatusAusgabe()
  {
   InitializeComponent();
  }

  // EinfachesProptery
  private string _Ausgabe1;

  public string Ausgabe1
  {
   get { return _Ausgabe1; }
   set { _Ausgabe1 = value; }
  }

  // Dep Property


  public static DependencyProperty Ausgabe2Property = System.Workflow.ComponentModel.DependencyProperty.Register("Ausgabe2", typeof(string), typeof(StatusAusgabe));

  [Description("Ausgabetext")]
  [Category("Basisdaten")]
  [Browsable(true)]
  [DesignerSerializationVisibility(DesignerSerializationVisibility.Visible)]
  public string Ausgabe2
  {
   get
   {
    return ((string)(base.GetValue(StatusAusgabe.Ausgabe2Property)));
   }
   set
   {
    base.SetValue(StatusAusgabe.Ausgabe2Property, value);
   }
  }


  private void codeActivity1_ExecuteCode(object sender, EventArgs e)
  {
   Console.WriteLine(_Ausgabe1 + ": " + this.Ausgabe2);
  }
 }
}
